Perl::APIReference::Generator(3)

NAME
Perl::APIReference::Generator - Generate an APIReference from a perlapi.pod

SYNOPSIS
  use Perl::APIReference::Generator;
  my $api = Perl::APIReference::Generator->parse(
    file => 'perlapi.5.10.0.pod',
    perl_version => '5.10.0',
  );
  # $api is now a Perl::APIReference object

DESCRIPTION
Generate a perl API reference object from a perlapi.pod file. This is a maintainer's tool and requires Pod::Eventual::Simple and a small change to the main APIReference.pm file if the perl API version isn't supported yet.

SEE ALSO
Perl::APIReference

perlapi

AUTHOR
Steffen Mueller, <smueller@cpan.org>

COPYRIGHT AND LICENSE
Copyright (C) 2009, 2015 by Steffen Mueller

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.6.0 or, at your option, any later version of Perl 5 you may have available.